import { View } from "../../framework/View";
import { ViewModel, ViewModelOptions } from "../../framework/ViewModel";
import { Subscribable } from "knockout";
export interface JsonViewModelOptions extends ViewModelOptions {
    json: object | Subscribable<object>;
    showArrayIndex?: boolean;
    quotesOnKeys?: boolean;
    displayDataTypes?: boolean;
    displayObjectSize?: boolean;
    sortKeys?: boolean;
    collapsed?: boolean;
}
export declare class JsonViewModel extends ViewModel implements JsonViewModelOptions {
    constructor(options?: JsonViewModelOptions);
    readonly json: object | Subscribable<object>;
    readonly showArrayIndex: boolean;
    readonly quotesOnKeys: boolean;
    readonly displayDataTypes: boolean;
    readonly displayObjectSize: boolean;
    readonly sortKeys: boolean;
    readonly collapsed: boolean;
}
export declare class JsonView extends View<JsonViewModelOptions> {
    constructor(viewModel: JsonViewModelOptions, designTimeOptions?: ViewModelOptions);
    build(): void;
    private setJson;
}
